<?php
header('Content-Type: application/json');

$file = 'link.json';
$data = json_decode(file_get_contents('php://input'), true);

if (!isset($data['key']) || !isset($data['value'])) {
    echo json_encode(['success' => false, 'error' => 'Invalid input']);
    exit;
}

$key = $data['key'];
$value = $data['value'];

if (!in_array($key, ['link1', 'link2'])) {
    echo json_encode(['success' => false, 'error' => 'Invalid key']);
    exit;
}

$jsonData = json_decode(file_get_contents($file), true);
$jsonData[$key] = $value;

if (file_put_contents($file, json_encode($jsonData, JSON_PRETTY_PRINT))) {
    echo json_encode(['success' => true]);
} else {
    echo json_encode(['success' => false, 'error' => 'Failed to save JSON']);
}
?>
